## org.freedesktop.DBus.Peer Interface org.freedesktop.DBus.Peer Interface — Minimal peering interface |

## Methods

    Ping         ()
    GetMachineId (OUT String  machine_uuid)

## Description

All D-Bus objects are supposed to implement the org.freedesktop.DBus.Peer D-Bus interface. The interface is designed to be a minimal interface for checking whether the other end is reachable and, if so, what machine hosts the object.

## Method Details

### Ping ()

    Ping ()

A method used to diagnose whether an object is reachable.

### GetMachineId ()

    GetMachineId (OUT String  machine_uuid)

Gets the Machine UUID of the machine hosting the object.

`OUT String `machine_uuid``: | A Universally Unique Identifier for the machine hosting the object. See the D-Bus specification for more information about D-Bus UUIDs.